Bug 1119315 - EJB 2.x resource-ref element definitions are now in the jboss-ejb3.xml instead of jboss.xml
Summary: EJB 2.x resource-ref element definitions are now in the jboss-ejb3.xml instea...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER10
: EAP 6.3.0
Assignee: sgilda
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 13:43 UTC by sgilda
Modified: 2014-09-29 17:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22819, Migration Guide-6.3-1 Build Date: 14-07-2014 06:25:15 Topic ID: 10144-681995 [Latest]
Last Closed: 2014-08-06 14:36:52 UTC
Type: Bug


Attachments (Terms of Use)

Description sgilda 2014-07-14 13:43:55 UTC
Title: Update Applications That Use EJB 2.x

Describe the issue:

Enhance the topic to add the following content.

From https://access.redhat.com/solutions/1124763


In previous releases of JBoss EAP, if you used a resource-ref in the ejb-jar.xml file, you needed to have a corresponding resource definition for the JNDI name in the jboss.xml. XDoclet generated both of these deployment descriptors.
t
In JBoss EAP 6, the jboss.xml file descriptor is ignored. This information now belons in the jboss-ejb3.xml instead. 

Suggestions for improvement:


Additional information:

Comment 1 sgilda 2014-07-14 13:59:40 UTC
This bug is related to Bug 1087570.

Comment 3 wfink 2014-07-17 18:03:09 UTC
Sande, the paragraph where you add the Resource description looks good to me.

Comment 4 sgilda 2014-07-17 18:25:55 UTC
Thanks Wolf. I will move this to ON_QA after the next build to docstage.

Comment 7 sgilda 2014-07-18 01:02:40 UTC
This should be Revision 6.3.0-22 dated July 17, 2014.

Comment 8 Jan Martiska 2014-07-18 07:52:17 UTC
Verified in 6.3.0-22


Note You need to log in before you can comment on or make changes to this bug.